# Auto-format plugin that converts mood variables
# to emoticons, controlled by moods.conf

if [ -d "$BASE_DIR/moods" ] ; then
	MOODS_DIR="$BASE_DIR/moods"
fi
if [ -d "$BLOG_DIR/moods" ] ; then
	MOODS_DIR="$BLOG_DIR/moods"
fi

load_moods(){
if [ -f "$MOODS_DIR/moods.conf" ]; then
	if [ -z "$num_lines" ]; then
		num_lines=`cat "$MOODS_DIR/moods.conf" |sed -e '/^$/d; /[\#\]/d' |grep -n "" |cut -c1-2 |sed -e 's/[\:\]//g'`
	fi
	if [ -z "$mood_list" ]; then
		mood_list=`cat "$MOODS_DIR/moods.conf" |sed -e '/^$/d; /^[\#\]/d'`
	fi
	for line in $num_lines ; do
		mood_line=`echo "$mood_list" |sed -n "$line"p`
		if [ ! -z "$mood_line" ] ; then
			mood_var=`echo "$mood_line" |cut -d" " -f1 | sed -e 's/[\*\]/[*]/'`
			mood_img=`echo "$mood_line" |cut -d" " -f3`
			create_moods
		fi
	done
fi
}

create_moods(){
mood_url=`echo "$BLOG_URL/moods/$mood_img" |sed -e 's/[\/\]/\\\\\//g'`
mood_img=`echo "$mood_img" |sed -e 's/[\/\]/\\\\\//g'`
#sed_script='s/'$mood_var'/<img src="'$mood_img'" width="15" height="15" border="0" \/>/g'
sed_script='s/'$mood_var'/<img src="'$mood_url'" alt="'$mood_img'" border="0" \/>/g'
NB_EntryBody=`echo "$NB_EntryBody" |sed -e "$sed_script"`
}

load_moods
