# NanoBlogger List Entries Plugin
# make a list of N Recent entries and N Older entries
#
# sample code for templates, based off the default stylesheet
#
# <div class="sidetitle">	# <div> class="sidetitle">
# Recent Entries		# Older Entries
# </div>			# </div>
# <div class="side">		# <div class="side">
# $NB_Recent_Entries		# $NB_Older_Entries
# </div>			# </div>

# clear these, just to be safe
FIRST_ENTRY=;LAST_ENTRY=;

# set entry number to begin at
FIRST_ENTRY="1"
# set entry number to end at
LAST_ENTRY="$MAX_DISPLAY"

OUTPUT_FILE1="$BLOG_DIR/$PARTS_DIR/recent_entries.htm"
OUTPUT_FILE2="$BLOG_DIR/$PARTS_DIR/older_entries.htm"

list_older(){
# set limit based on MAX_DISPLAY in user's blog.conf
FIRST_ENTRY=`expr "$MAX_DISPLAY" + 1`
LAST_ENTRY=`expr "$MAX_DISPLAY" + "$MAX_DISPLAY"`
}

get_entries(){
local FILE="$1"
query_db all
LIST_OF_ENTRIES=`echo "$DB_RESULTS" |sed -n "$FIRST_ENTRY","$LAST_ENTRY"p`
echo "" > "$FILE"
for entry in $LIST_OF_ENTRIES ; do
	read_metadata TITLE "$BLOG_DIR"/"$ARCHIVES"/"$entry"; NB_EntryTitle="$NB_Metadata"
	#title_link=`sed -n 1p "$BLOG_DIR"/"$ARCHIVES"/"$entry"`
	title_link="$NB_EntryTitle"
	if [ "$FULL_PERMALINKS" = "1" ] ; then
		permalink_entry=`chg_suffix $entry`
		permalink="$BLOG_URL/$PERMALINKS/$permalink_entry"
	else
		month_link=`echo "$entry" |cut -c1-7`
		permalink="$BLOG_URL/$ARCHIVES/$FILE_BY_DIR/$month_link.$NB_FILETYPE#$entry"
	fi
	if [ -z "$title_link" ] ; then title_link="Untitled" ; fi
	cat >> "$FILE" <<-EOF 
		<a href="$permalink">$title_link</a><br />
	EOF
done
}

for list_mode in recent older; do
	if [ "$list_mode" = "older" ] ; then
		list_older ; get_entries "$OUTPUT_FILE2"
	else
		get_entries "$OUTPUT_FILE1"
	fi
done

NB_Recent_Entries=`cat "$OUTPUT_FILE1"`
NB_Older_Entries=`cat "$OUTPUT_FILE2"`
