# NanoBlogger tidy plugin, requires program, tidy.
#
# Tidy is a HTML syntax checker and reformatter.
# See the man pages for more information.

# sample code for templates, based off default stylesheet
#
# <div class="sidetitle">
# Validation
# </div>
#
# <div class="side">
# $NB_Tidy
# </div>

PLUGIN_OUTFILE="$BLOG_DIR/$PARTS_DIR/tidy.html"

if tidy -v > /dev/null 2>&1; then
	# add escapes to "/" character for sed
	SED_VAR=`echo "$BLOG_DIR" |sed -e 's/[\/\]/\\\\\//g'`
	# $OUTPUT_FILE already defined
	SUFFIX_VAR=`echo "$OUTPUT_FILE" |sed -e 's/'$SED_VAR'//g' |cut -d"." -f 2`
	if [ "$SUFFIX_VAR" = "html" ]; then
		echo "validating $OUTPUT_FILE ..."
		tidy -asxml -im -wrap 136 "$OUTPUT_FILE" > /dev/null 2>&1
	fi
	if [ "$SUFFIX_VAR" = "rdf" ] || [ "$SUFFIX_VAR" = "xml" ]; then
		echo "reformatting $OUTPUT_FILE ..."
		tidy -xml -im -wrap 136 "$OUTPUT_FILE" > /dev/null 2>&1
	fi
	echo '<a href="http://validator.w3.org/check/referer"><img' > "$PLUGIN_OUTFILE"
	echo 'src="http://www.w3.org/Icons/valid-xhtml10"' >> "$PLUGIN_OUTFILE"
	echo 'border="0"' >> "$PLUGIN_OUTFILE"
	echo 'alt="Valid XHTML 1.0!" height="31" width="88" /></a>' >> "$PLUGIN_OUTFILE"
	NB_Tidy=`cat "$PLUGIN_OUTFILE"`
fi
